\paragraph{}
\label{SYSTEM:ALLOCATE-FUNCALLABLE-INSTANCE}
\index{ALLOCATE-FUNCALLABLE-INSTANCE}
--- Function: \textbf{\%allocate-funcallable-instance} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-DEFAULT-INITARGS}
\index{CLASS-DEFAULT-INITARGS}
--- Function: \textbf{\%class-default-initargs} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-DIRECT-DEFAULT-INITARGS}
\index{CLASS-DIRECT-DEFAULT-INITARGS}
--- Function: \textbf{\%class-direct-default-initargs} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-DIRECT-METHODS}
\index{CLASS-DIRECT-METHODS}
--- Function: \textbf{\%class-direct-methods} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-DIRECT-SLOTS}
\index{CLASS-DIRECT-SLOTS}
--- Function: \textbf{\%class-direct-slots} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-DIRECT-SUBCLASSES}
\index{CLASS-DIRECT-SUBCLASSES}
--- Function: \textbf{\%class-direct-subclasses} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-DIRECT-SUPERCLASSES}
\index{CLASS-DIRECT-SUPERCLASSES}
--- Function: \textbf{\%class-direct-superclasses} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-FINALIZED-P}
\index{CLASS-FINALIZED-P}
--- Function: \textbf{\%class-finalized-p} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-LAYOUT}
\index{CLASS-LAYOUT}
--- Function: \textbf{\%class-layout} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-NAME}
\index{CLASS-NAME}
--- Function: \textbf{\%class-name} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-PRECEDENCE-LIST}
\index{CLASS-PRECEDENCE-LIST}
--- Function: \textbf{\%class-precedence-list} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-SLOTS}
\index{CLASS-SLOTS}
--- Function: \textbf{\%class-slots} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DEFUN}
\index{DEFUN}
--- Function: \textbf{\%defun} [\textbf{system}] \textit{name definition}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DOCUMENTATION}
\index{DOCUMENTATION}
--- Function: \textbf{\%documentation} [\textbf{system}] \textit{object doc-type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FLOAT-BITS}
\index{FLOAT-BITS}
--- Function: \textbf{\%float-bits} [\textbf{system}] \textit{integer}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:IN-PACKAGE}
\index{IN-PACKAGE}
--- Function: \textbf{\%in-package} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-CONDITION}
\index{MAKE-CONDITION}
--- Function: \textbf{\%make-condition} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-EMF-CACHE}
\index{MAKE-EMF-CACHE}
--- Function: \textbf{\%make-emf-cache} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-INSTANCES-OBSOLETE}
\index{MAKE-INSTANCES-OBSOLETE}
--- Function: \textbf{\%make-instances-obsolete} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-INTEGER-TYPE}
\index{MAKE-INTEGER-TYPE}
--- Function: \textbf{\%make-integer-type} [\textbf{system}] \textit{low high}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-LIST}
\index{MAKE-LIST}
--- Function: \textbf{\%make-list} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-LOGICAL-PATHNAME}
\index{MAKE-LOGICAL-PATHNAME}
--- Function: \textbf{\%make-logical-pathname} [\textbf{system}] \textit{namestring}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-SLOT-DEFINITION}
\index{MAKE-SLOT-DEFINITION}
--- Function: \textbf{\%make-slot-definition} [\textbf{system}] \textit{slot-class}

\begin{adjustwidth}{5em}{5em}
Argument must be a subclass of standard-slot-definition
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-STRUCTURE}
\index{MAKE-STRUCTURE}
--- Function: \textbf{\%make-structure} [\textbf{system}] \textit{name slot-values}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MEMBER}
\index{MEMBER}
--- Function: \textbf{\%member} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NSTRING-CAPITALIZE}
\index{NSTRING-CAPITALIZE}
--- Function: \textbf{\%nstring-capitalize} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NSTRING-DOWNCASE}
\index{NSTRING-DOWNCASE}
--- Function: \textbf{\%nstring-downcase} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NSTRING-UPCASE}
\index{NSTRING-UPCASE}
--- Function: \textbf{\%nstring-upcase} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:OUTPUT-OBJECT}
\index{OUTPUT-OBJECT}
--- Function: \textbf{\%output-object} [\textbf{system}] \textit{object stream}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PUTF}
\index{PUTF}
--- Function: \textbf{\%putf} [\textbf{system}] \textit{plist indicator new-value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:REINIT-EMF-CACHE}
\index{REINIT-EMF-CACHE}
--- Function: \textbf{\%reinit-emf-cache} [\textbf{system}] \textit{generic-function eql-specilizer-objects-list}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DEFAULT-INITARGS}
\index{SET-CLASS-DEFAULT-INITARGS}
--- Function: \textbf{\%set-class-default-initargs} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DIRECT-DEFAULT-INITARGS}
\index{SET-CLASS-DIRECT-DEFAULT-INITARGS}
--- Function: \textbf{\%set-class-direct-default-initargs} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DIRECT-METHODS}
\index{SET-CLASS-DIRECT-METHODS}
--- Function: \textbf{\%set-class-direct-methods} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DIRECT-SLOTS}
\index{SET-CLASS-DIRECT-SLOTS}
--- Function: \textbf{\%set-class-direct-slots} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DIRECT-SUBCLASSES}
\index{SET-CLASS-DIRECT-SUBCLASSES}
--- Function: \textbf{\%set-class-direct-subclasses} [\textbf{system}] \textit{class direct-subclasses}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DIRECT-SUPERCLASSES}
\index{SET-CLASS-DIRECT-SUPERCLASSES}
--- Function: \textbf{\%set-class-direct-superclasses} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-DOCUMENTATION}
\index{SET-CLASS-DOCUMENTATION}
--- Function: \textbf{\%set-class-documentation} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-FINALIZED-P}
\index{SET-CLASS-FINALIZED-P}
--- Function: \textbf{\%set-class-finalized-p} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-LAYOUT}
\index{SET-CLASS-LAYOUT}
--- Function: \textbf{\%set-class-layout} [\textbf{system}] \textit{class layout}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-NAME}
\index{SET-CLASS-NAME}
--- Function: \textbf{\%set-class-name} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-PRECEDENCE-LIST}
\index{SET-CLASS-PRECEDENCE-LIST}
--- Function: \textbf{\%set-class-precedence-list} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CLASS-SLOTS}
\index{SET-CLASS-SLOTS}
--- Function: \textbf{\%set-class-slots} [\textbf{system}] \textit{class slot-definitions}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-DOCUMENTATION}
\index{SET-DOCUMENTATION}
--- Function: \textbf{\%set-documentation} [\textbf{system}] \textit{object doc-type documentation}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-FILL-POINTER}
\index{SET-FILL-POINTER}
--- Function: \textbf{\%set-fill-pointer} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-FIND-CLASS}
\index{SET-FIND-CLASS}
--- Function: \textbf{\%set-find-class} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-STANDARD-INSTANCE-ACCESS}
\index{SET-STANDARD-INSTANCE-ACCESS}
--- Function: \textbf{\%set-standard-instance-access} [\textbf{system}] \textit{instance location new-value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-STD-INSTANCE-LAYOUT}
\index{SET-STD-INSTANCE-LAYOUT}
--- Function: \textbf{\%set-std-instance-layout} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STD-ALLOCATE-INSTANCE}
\index{STD-ALLOCATE-INSTANCE}
--- Function: \textbf{\%std-allocate-instance} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STREAM-OUTPUT-OBJECT}
\index{STREAM-OUTPUT-OBJECT}
--- Function: \textbf{\%stream-output-object} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STREAM-TERPRI}
\index{STREAM-TERPRI}
--- Function: \textbf{\%stream-terpri} [\textbf{system}] \textit{output-stream}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STREAM-WRITE-CHAR}
\index{STREAM-WRITE-CHAR}
--- Function: \textbf{\%stream-write-char} [\textbf{system}] \textit{character output-stream}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-CAPITALIZE}
\index{STRING-CAPITALIZE}
--- Function: \textbf{\%string-capitalize} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-DOWNCASE}
\index{STRING-DOWNCASE}
--- Function: \textbf{\%string-downcase} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-EQUAL}
\index{STRING-EQUAL}
--- Function: \textbf{\%string-equal} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-GREATERP}
\index{STRING-GREATERP}
--- Function: \textbf{\%string-greaterp} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-LESSP}
\index{STRING-LESSP}
--- Function: \textbf{\%string-lessp} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-NOT-EQUAL}
\index{STRING-NOT-EQUAL}
--- Function: \textbf{\%string-not-equal} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-NOT-GREATERP}
\index{STRING-NOT-GREATERP}
--- Function: \textbf{\%string-not-greaterp} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-NOT-LESSP}
\index{STRING-NOT-LESSP}
--- Function: \textbf{\%string-not-lessp} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING-UPCASE}
\index{STRING-UPCASE}
--- Function: \textbf{\%string-upcase} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING/=}
\index{STRING/=}
--- Function: \textbf{\%string/=} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING<}
\index{STRING<}
--- Function: \textbf{\%string<} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING<=}
\index{STRING<=}
--- Function: \textbf{\%string<=} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING>}
\index{STRING>}
--- Function: \textbf{\%string>} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRING>=}
\index{STRING>=}
--- Function: \textbf{\%string>=} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:TYPE-ERROR}
\index{TYPE-ERROR}
--- Function: \textbf{\%type-error} [\textbf{system}] \textit{datum expected-type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:WILD-PATHNAME-P}
\index{WILD-PATHNAME-P}
--- Function: \textbf{\%wild-pathname-p} [\textbf{system}] \textit{pathname keyword}

\begin{adjustwidth}{5em}{5em}
Predicate for determing whether PATHNAME contains wild components.
KEYWORD, if non-nil, should be one of :directory, :host, :device,
:name, :type, or :version indicating that only the specified component
should be checked for wildness.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*ABCL-CONTRIB*}
\index{*ABCL-CONTRIB*}
--- Variable: \textbf{*abcl-contrib*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Pathname of the abcl-contrib artifact.

Initialized via SYSTEM:FIND-CONTRIB.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*COMPILE-FILE-CLASS-EXTENSION*}
\index{*COMPILE-FILE-CLASS-EXTENSION*}
--- Variable: \textbf{*compile-file-class-extension*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*COMPILE-FILE-ENVIRONMENT*}
\index{*COMPILE-FILE-ENVIRONMENT*}
--- Variable: \textbf{*compile-file-environment*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*COMPILE-FILE-TYPE*}
\index{*COMPILE-FILE-TYPE*}
--- Variable: \textbf{*compile-file-type*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*COMPILE-FILE-ZIP*}
\index{*COMPILE-FILE-ZIP*}
--- Variable: \textbf{*compile-file-zip*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*COMPILER-DIAGNOSTIC*}
\index{*COMPILER-DIAGNOSTIC*}
--- Variable: \textbf{*compiler-diagnostic*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
The stream to emit compiler diagnostic messages to, or nil to muffle output.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*COMPILER-ERROR-CONTEXT*}
\index{*COMPILER-ERROR-CONTEXT*}
--- Variable: \textbf{*compiler-error-context*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*CURRENT-PRINT-LENGTH*}
\index{*CURRENT-PRINT-LENGTH*}
--- Variable: \textbf{*current-print-length*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*CURRENT-PRINT-LEVEL*}
\index{*CURRENT-PRINT-LEVEL*}
--- Variable: \textbf{*current-print-level*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*DEBUG*}
\index{*DEBUG*}
--- Variable: \textbf{*debug*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{ABCL-INTROSPECT/SYSTEM:*DEBUGGING-LOCALS-P*}
\index{*DEBUGGING-LOCALS-P*}
--- Variable: \textbf{*debugging-locals-p*} [\textbf{abcl-introspect/system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Whether SYS:FIND-LOCALS should be looking for local variables
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*DISASSEMBLERS*}
\index{*DISASSEMBLERS*}
--- Variable: \textbf{*disassemblers*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Methods of invoking CL:DISASSEMBLE consisting of a enumeration of (keyword function) pairs

The pairs (keyword function) contain a keyword identifying this
particulat disassembler, and a symbol designating function takes a
object to disassemble.

Use SYS:CHOOSE-DISASSEMBLER to install a given disassembler as the one
used by CL:DISASSEMBLE.  Additional disassemblers/decompilers are
packaged in the ABCL-INTROSPECT contrib.

The intial default is :javap using the javap command line tool which
is part of the Java Developement Kit.

\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*ENABLE-AUTOCOMPILE*}
\index{*ENABLE-AUTOCOMPILE*}
--- Variable: \textbf{*enable-autocompile*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*EXPLAIN*}
\index{*EXPLAIN*}
--- Variable: \textbf{*explain*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*FASL-LOADER*}
\index{*FASL-LOADER*}
--- Variable: \textbf{*fasl-loader*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*FASL-VERSION*}
\index{*FASL-VERSION*}
--- Variable: \textbf{*fasl-version*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*INLINE-DECLARATIONS*}
\index{*INLINE-DECLARATIONS*}
--- Variable: \textbf{*inline-declarations*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*LOGICAL-PATHNAME-TRANSLATIONS*}
\index{*LOGICAL-PATHNAME-TRANSLATIONS*}
--- Variable: \textbf{*logical-pathname-translations*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*NOINFORM*}
\index{*NOINFORM*}
--- Variable: \textbf{*noinform*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*SAFETY*}
\index{*SAFETY*}
--- Variable: \textbf{*safety*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*SOURCE*}
\index{*SOURCE*}
--- Variable: \textbf{*source*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*SOURCE-POSITION*}
\index{*SOURCE-POSITION*}
--- Variable: \textbf{*source-position*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*SPACE*}
\index{*SPACE*}
--- Variable: \textbf{*space*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*SPEED*}
\index{*SPEED*}
--- Variable: \textbf{*speed*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:*TRACED-NAMES*}
\index{*TRACED-NAMES*}
--- Variable: \textbf{*traced-names*} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+CL-PACKAGE+}
\index{+CL-PACKAGE+}
--- Variable: \textbf{+cl-package+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+FALSE-TYPE+}
\index{+FALSE-TYPE+}
--- Variable: \textbf{+false-type+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+FIXNUM-TYPE+}
\index{+FIXNUM-TYPE+}
--- Variable: \textbf{+fixnum-type+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+INTEGER-TYPE+}
\index{+INTEGER-TYPE+}
--- Variable: \textbf{+integer-type+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+KEYWORD-PACKAGE+}
\index{+KEYWORD-PACKAGE+}
--- Variable: \textbf{+keyword-package+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+SLOT-UNBOUND+}
\index{+SLOT-UNBOUND+}
--- Variable: \textbf{+slot-unbound+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:+TRUE-TYPE+}
\index{+TRUE-TYPE+}
--- Variable: \textbf{+true-type+} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ASET}
\index{ASET}
--- Function: \textbf{aset} [\textbf{system}] \textit{array subscripts new-element}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:AUTOCOMPILE}
\index{AUTOCOMPILE}
--- Function: \textbf{autocompile} [\textbf{system}] \textit{function}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:AVAILABLE-ENCODINGS}
\index{AVAILABLE-ENCODINGS}
--- Function: \textbf{available-encodings} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Returns all charset encodings suitable for passing to a stream constructor available at runtime.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:AVER}
\index{AVER}
--- Macro: \textbf{aver} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Signal simple-error when EXPR is non-NIL.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:BACKTRACE}
\index{BACKTRACE}
--- Function: \textbf{backtrace} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Returns a Java backtrace of the invoking thread.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:BUILT-IN-FUNCTION-P}
\index{BUILT-IN-FUNCTION-P}
--- Function: \textbf{built-in-function-p} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CACHE-EMF}
\index{CACHE-EMF}
--- Function: \textbf{cache-emf} [\textbf{system}] \textit{generic-function args emf}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CALL-COUNT}
\index{CALL-COUNT}
--- Function: \textbf{call-count} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CALL-REGISTERS-LIMIT}
\index{CALL-REGISTERS-LIMIT}
--- Variable: \textbf{call-registers-limit} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CANONICALIZE-LOGICAL-HOST}
\index{CANONICALIZE-LOGICAL-HOST}
--- Function: \textbf{canonicalize-logical-host} [\textbf{system}] \textit{host}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CHECK-DECLARATION-TYPE}
\index{CHECK-DECLARATION-TYPE}
--- Function: \textbf{check-declaration-type} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CHECK-SEQUENCE-BOUNDS}
\index{CHECK-SEQUENCE-BOUNDS}
--- Function: \textbf{check-sequence-bounds} [\textbf{system}] \textit{sequence start end}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CHOOSE-DISASSEMBLER}
\index{CHOOSE-DISASSEMBLER}
--- Function: \textbf{choose-disassembler} [\textbf{system}] \textit{\&optional name}

\begin{adjustwidth}{5em}{5em}
Report current disassembler that would be used by CL:DISASSEMBLE

With optional keyword NAME, select the associated disassembler from
SYS:*DISASSEMBLERS*.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLASS-BYTES}
\index{CLASS-BYTES}
--- Function: \textbf{class-bytes} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CLEAR-ZIP-CACHE}
\index{CLEAR-ZIP-CACHE}
--- Function: \textbf{clear-zip-cache} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COERCE-TO-CONDITION}
\index{COERCE-TO-CONDITION}
--- Function: \textbf{coerce-to-condition} [\textbf{system}] \textit{datum arguments default-type fun-name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COERCE-TO-FUNCTION}
\index{COERCE-TO-FUNCTION}
--- Function: \textbf{coerce-to-function} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILE-FILE-IF-NEEDED}
\index{COMPILE-FILE-IF-NEEDED}
--- Function: \textbf{compile-file-if-needed} [\textbf{system}] \textit{input-file \&rest allargs \&key force-compile \&allow-other-keys}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{EXTENSIONS:COMPILE-SYSTEM}
\index{COMPILE-SYSTEM}
--- Function: \textbf{compile-system} [\textbf{extensions}] \textit{\&key quit (zip t) (cls-ext *compile-file-class-extension*) (abcl-ext *compile-file-type*) output-path}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILED-LISP-FUNCTION-P}
\index{COMPILED-LISP-FUNCTION-P}
--- Function: \textbf{compiled-lisp-function-p} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-DEFSTRUCT}
\index{COMPILER-DEFSTRUCT}
--- Function: \textbf{compiler-defstruct} [\textbf{system}] \textit{name \&key conc-name default-constructor constructors copier include type named initial-offset predicate print-function print-object direct-slots slots inherited-accessors documentation}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-ERROR}
\index{COMPILER-ERROR}
--- Function: \textbf{compiler-error} [\textbf{system}] \textit{format-control \&rest format-arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-MACROEXPAND}
\index{COMPILER-MACROEXPAND}
--- Function: \textbf{compiler-macroexpand} [\textbf{system}] \textit{form \&optional env}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-STYLE-WARN}
\index{COMPILER-STYLE-WARN}
--- Function: \textbf{compiler-style-warn} [\textbf{system}] \textit{format-control \&rest format-arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-SUBTYPEP}
\index{COMPILER-SUBTYPEP}
--- Function: \textbf{compiler-subtypep} [\textbf{system}] \textit{compiler-type typespec}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-UNSUPPORTED}
\index{COMPILER-UNSUPPORTED}
--- Function: \textbf{compiler-unsupported} [\textbf{system}] \textit{format-control \&rest format-arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:COMPILER-WARN}
\index{COMPILER-WARN}
--- Function: \textbf{compiler-warn} [\textbf{system}] \textit{format-control \&rest format-arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:CONCATENATE-FASLS}
\index{CONCATENATE-FASLS}
--- Function: \textbf{concatenate-fasls} [\textbf{system}] \textit{inputs output}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DEFCONST}
\index{DEFCONST}
--- Macro: \textbf{defconst} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DEFINE-SOURCE-TRANSFORM}
\index{DEFINE-SOURCE-TRANSFORM}
--- Macro: \textbf{define-source-transform} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DEFKNOWN}
\index{DEFKNOWN}
--- Macro: \textbf{defknown} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DELETE-EQ}
\index{DELETE-EQ}
--- Function: \textbf{delete-eq} [\textbf{system}] \textit{item sequence}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DELETE-EQL}
\index{DELETE-EQL}
--- Function: \textbf{delete-eql} [\textbf{system}] \textit{item sequence}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DESCRIBE-COMPILER-POLICY}
\index{DESCRIBE-COMPILER-POLICY}
--- Function: \textbf{describe-compiler-policy} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DISABLE-ZIP-CACHE}
\index{DISABLE-ZIP-CACHE}
--- Function: \textbf{disable-zip-cache} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Not currently implemented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DISASSEMBLE-CLASS-BYTES}
\index{DISASSEMBLE-CLASS-BYTES}
--- Function: \textbf{disassemble-class-bytes} [\textbf{system}] \textit{java-object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DOUBLE-FLOAT-HIGH-BITS}
\index{DOUBLE-FLOAT-HIGH-BITS}
--- Function: \textbf{double-float-high-bits} [\textbf{system}] \textit{float}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DOUBLE-FLOAT-LOW-BITS}
\index{DOUBLE-FLOAT-LOW-BITS}
--- Function: \textbf{double-float-low-bits} [\textbf{system}] \textit{float}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DUMP-FORM}
\index{DUMP-FORM}
--- Function: \textbf{dump-form} [\textbf{system}] \textit{form stream}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:DUMP-UNINTERNED-SYMBOL-INDEX}
\index{DUMP-UNINTERNED-SYMBOL-INDEX}
--- Function: \textbf{dump-uninterned-symbol-index} [\textbf{system}] \textit{symbol}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:EMPTY-ENVIRONMENT-P}
\index{EMPTY-ENVIRONMENT-P}
--- Function: \textbf{empty-environment-p} [\textbf{system}] \textit{environment}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT}
\index{ENVIRONMENT}
--- Class: \textbf{environment} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT-ADD-FUNCTION-DEFINITION}
\index{ENVIRONMENT-ADD-FUNCTION-DEFINITION}
--- Function: \textbf{environment-add-function-definition} [\textbf{system}] \textit{environment name lambda-expression}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT-ADD-MACRO-DEFINITION}
\index{ENVIRONMENT-ADD-MACRO-DEFINITION}
--- Function: \textbf{environment-add-macro-definition} [\textbf{system}] \textit{environment name expander}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT-ADD-SYMBOL-BINDING}
\index{ENVIRONMENT-ADD-SYMBOL-BINDING}
--- Function: \textbf{environment-add-symbol-binding} [\textbf{system}] \textit{environment symbol value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT-ALL-FUNCTIONS}
\index{ENVIRONMENT-ALL-FUNCTIONS}
--- Function: \textbf{environment-all-functions} [\textbf{system}] \textit{environment}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT-ALL-VARIABLES}
\index{ENVIRONMENT-ALL-VARIABLES}
--- Function: \textbf{environment-all-variables} [\textbf{system}] \textit{environment}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ENVIRONMENT-VARIABLES}
\index{ENVIRONMENT-VARIABLES}
--- Function: \textbf{environment-variables} [\textbf{system}] \textit{environment}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:EXPAND-INLINE}
\index{EXPAND-INLINE}
--- Function: \textbf{expand-inline} [\textbf{system}] \textit{form expansion}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:EXPAND-SOURCE-TRANSFORM}
\index{EXPAND-SOURCE-TRANSFORM}
--- Function: \textbf{expand-source-transform} [\textbf{system}] \textit{form}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FDEFINITION-BLOCK-NAME}
\index{FDEFINITION-BLOCK-NAME}
--- Function: \textbf{fdefinition-block-name} [\textbf{system}] \textit{function-name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FIND-CONTRIB}
\index{FIND-CONTRIB}
--- Function: \textbf{find-contrib} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Introspect runtime classpaths to return a pathname containing
  subdirectories containing ASDF definitions.
\end{adjustwidth}

\paragraph{}
\label{ABCL-INTROSPECT/SYSTEM:FIND-LOCALS}
\index{FIND-LOCALS}
--- Function: \textbf{find-locals} [\textbf{abcl-introspect/system}] \textit{index backtrace}

\begin{adjustwidth}{5em}{5em}
Return local variable bindings at INDEX in BACKTRACE

Added by ABCL-INTROSPECT.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FIND-SYSTEM}
\index{FIND-SYSTEM}
--- Function: \textbf{find-system} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Find the location of the Armed Bear system implementation

Used to determine relative pathname to find 'abcl-contrib.jar'.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FIXNUM-CONSTANT-VALUE}
\index{FIXNUM-CONSTANT-VALUE}
--- Function: \textbf{fixnum-constant-value} [\textbf{system}] \textit{compiler-type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FIXNUM-TYPE-P}
\index{FIXNUM-TYPE-P}
--- Function: \textbf{fixnum-type-p} [\textbf{system}] \textit{compiler-type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FLOAT-INFINITY-P}
\index{FLOAT-INFINITY-P}
--- Function: \textbf{float-infinity-p} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FLOAT-NAN-P}
\index{FLOAT-NAN-P}
--- Function: \textbf{float-nan-p} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FLOAT-OVERFLOW-MODE}
\index{FLOAT-OVERFLOW-MODE}
--- Function: \textbf{float-overflow-mode} [\textbf{system}] \textit{\&optional boolean}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FLOAT-STRING}
\index{FLOAT-STRING}
--- Function: \textbf{float-string} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FLOAT-UNDERFLOW-MODE}
\index{FLOAT-UNDERFLOW-MODE}
--- Function: \textbf{float-underflow-mode} [\textbf{system}] \textit{\&optional boolean}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FORWARD-REFERENCED-CLASS}
\index{FORWARD-REFERENCED-CLASS}
--- Class: \textbf{forward-referenced-class} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FRAME-TO-LIST}
\index{FRAME-TO-LIST}
--- Function: \textbf{frame-to-list} [\textbf{system}] \textit{frame}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FRAME-TO-STRING}
\index{FRAME-TO-STRING}
--- Function: \textbf{frame-to-string} [\textbf{system}] \textit{frame}

\begin{adjustwidth}{5em}{5em}
Convert stack FRAME to a (potentially) readable string.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FSET}
\index{FSET}
--- Function: \textbf{fset} [\textbf{system}] \textit{name function \&optional source-position arglist documentation}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FTYPE-RESULT-TYPE}
\index{FTYPE-RESULT-TYPE}
--- Function: \textbf{ftype-result-type} [\textbf{system}] \textit{ftype}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FUNCTION-PLIST}
\index{FUNCTION-PLIST}
--- Function: \textbf{function-plist} [\textbf{system}] \textit{function}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:FUNCTION-RESULT-TYPE}
\index{FUNCTION-RESULT-TYPE}
--- Function: \textbf{function-result-type} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:GET-CACHED-EMF}
\index{GET-CACHED-EMF}
--- Function: \textbf{get-cached-emf} [\textbf{system}] \textit{generic-function args}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:GET-FUNCTION-INFO-VALUE}
\index{GET-FUNCTION-INFO-VALUE}
--- Function: \textbf{get-function-info-value} [\textbf{system}] \textit{name indicator}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:GET-INPUT-STREAM}
\index{GET-INPUT-STREAM}
--- Function: \textbf{get-input-stream} [\textbf{system}] \textit{pathname}

\begin{adjustwidth}{5em}{5em}
Returns a java.io.InputStream for resource denoted by PATHNAME.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:GETHASH1}
\index{GETHASH1}
--- Function: \textbf{gethash1} [\textbf{system}] \textit{key hash-table}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:GROVEL-JAVA-DEFINITIONS-IN-FILE}
\index{GROVEL-JAVA-DEFINITIONS-IN-FILE}
--- Function: \textbf{grovel-java-definitions-in-file} [\textbf{system}] \textit{file out}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:HASH-TABLE-WEAKNESS}
\index{HASH-TABLE-WEAKNESS}
--- Function: \textbf{hash-table-weakness} [\textbf{system}] \textit{hash-table}

\begin{adjustwidth}{5em}{5em}
Return weakness property of HASH-TABLE, or NIL if it has none.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:HOT-COUNT}
\index{HOT-COUNT}
--- Function: \textbf{hot-count} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:IDENTITY-HASH-CODE}
\index{IDENTITY-HASH-CODE}
--- Function: \textbf{identity-hash-code} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INIT-FASL}
\index{INIT-FASL}
--- Function: \textbf{init-fasl} [\textbf{system}] \textit{\&key version}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INLINE-EXPANSION}
\index{INLINE-EXPANSION}
--- Function: \textbf{inline-expansion} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INLINE-P}
\index{INLINE-P}
--- Function: \textbf{inline-p} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INSPECTED-PARTS}
\index{INSPECTED-PARTS}
--- Function: \textbf{inspected-parts} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INTEGER-CONSTANT-VALUE}
\index{INTEGER-CONSTANT-VALUE}
--- Function: \textbf{integer-constant-value} [\textbf{system}] \textit{compiler-type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INTEGER-TYPE-HIGH}
\index{INTEGER-TYPE-HIGH}
--- Function: \textbf{integer-type-high} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INTEGER-TYPE-LOW}
\index{INTEGER-TYPE-LOW}
--- Function: \textbf{integer-type-low} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INTEGER-TYPE-P}
\index{INTEGER-TYPE-P}
--- Function: \textbf{integer-type-p} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INTERACTIVE-EVAL}
\index{INTERACTIVE-EVAL}
--- Function: \textbf{interactive-eval} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:INTERNAL-COMPILER-ERROR}
\index{INTERNAL-COMPILER-ERROR}
--- Function: \textbf{internal-compiler-error} [\textbf{system}] \textit{format-control \&rest format-arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:JAR-STREAM}
\index{JAR-STREAM}
--- Class: \textbf{jar-stream} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:JAVA-LONG-TYPE-P}
\index{JAVA-LONG-TYPE-P}
--- Function: \textbf{java-long-type-p} [\textbf{system}] \textit{compiler-type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:JAVA.CLASS.PATH}
\index{JAVA.CLASS.PATH}
--- Function: \textbf{java.class.path} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
Return a list of the directories as pathnames referenced in the JVM classpath.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LAMBDA-NAME}
\index{LAMBDA-NAME}
--- Function: \textbf{lambda-name} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LAYOUT-CLASS}
\index{LAYOUT-CLASS}
--- Function: \textbf{layout-class} [\textbf{system}] \textit{layout}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LAYOUT-LENGTH}
\index{LAYOUT-LENGTH}
--- Function: \textbf{layout-length} [\textbf{system}] \textit{layout}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LAYOUT-SLOT-INDEX}
\index{LAYOUT-SLOT-INDEX}
--- Function: \textbf{layout-slot-index} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LAYOUT-SLOT-LOCATION}
\index{LAYOUT-SLOT-LOCATION}
--- Function: \textbf{layout-slot-location} [\textbf{system}] \textit{layout slot-name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LIST-DELETE-EQ}
\index{LIST-DELETE-EQ}
--- Function: \textbf{list-delete-eq} [\textbf{system}] \textit{item list}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LIST-DELETE-EQL}
\index{LIST-DELETE-EQL}
--- Function: \textbf{list-delete-eql} [\textbf{system}] \textit{item list}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LIST-DIRECTORY}
\index{LIST-DIRECTORY}
--- Function: \textbf{list-directory} [\textbf{system}] \textit{directory \&optional (resolve-symlinks nil)}

\begin{adjustwidth}{5em}{5em}
Lists the contents of DIRECTORY, optionally resolving symbolic links.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LOAD-COMPILED-FUNCTION}
\index{LOAD-COMPILED-FUNCTION}
--- Function: \textbf{load-compiled-function} [\textbf{system}] \textit{source}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LOAD-SYSTEM-FILE}
\index{LOAD-SYSTEM-FILE}
--- Function: \textbf{load-system-file} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LOGICAL-HOST-P}
\index{LOGICAL-HOST-P}
--- Function: \textbf{logical-host-p} [\textbf{system}] \textit{canonical-host}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LOGICAL-PATHNAME-P}
\index{LOGICAL-PATHNAME-P}
--- Function: \textbf{logical-pathname-p} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
Returns true if OBJECT is of type logical-pathname; otherwise, returns false.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:LOOKUP-KNOWN-SYMBOL}
\index{LOOKUP-KNOWN-SYMBOL}
--- Function: \textbf{lookup-known-symbol} [\textbf{system}] \textit{symbol}

\begin{adjustwidth}{5em}{5em}
Returns the name of the field and its class designator
which stores the Java object `symbol'.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MACRO-FUNCTION-P}
\index{MACRO-FUNCTION-P}
--- Function: \textbf{macro-function-p} [\textbf{system}] \textit{value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-CLOSURE}
\index{MAKE-CLOSURE}
--- Function: \textbf{make-closure} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-COMPILER-TYPE}
\index{MAKE-COMPILER-TYPE}
--- Function: \textbf{make-compiler-type} [\textbf{system}] \textit{typespec}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-DOUBLE-FLOAT}
\index{MAKE-DOUBLE-FLOAT}
--- Function: \textbf{make-double-float} [\textbf{system}] \textit{bits}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-ENVIRONMENT}
\index{MAKE-ENVIRONMENT}
--- Function: \textbf{make-environment} [\textbf{system}] \textit{\&optional parent-environment}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-FILE-STREAM}
\index{MAKE-FILE-STREAM}
--- Function: \textbf{make-file-stream} [\textbf{system}] \textit{pathname element-type direction if-exists external-format}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-FILL-POINTER-OUTPUT-STREAM}
\index{MAKE-FILL-POINTER-OUTPUT-STREAM}
--- Function: \textbf{make-fill-pointer-output-stream} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-INTEGER-TYPE}
\index{MAKE-INTEGER-TYPE}
--- Function: \textbf{make-integer-type} [\textbf{system}] \textit{type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-KEYWORD}
\index{MAKE-KEYWORD}
--- Function: \textbf{make-keyword} [\textbf{system}] \textit{symbol}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-LAYOUT}
\index{MAKE-LAYOUT}
--- Function: \textbf{make-layout} [\textbf{system}] \textit{class instance-slots class-slots}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-MACRO}
\index{MAKE-MACRO}
--- Function: \textbf{make-macro} [\textbf{system}] \textit{name expansion-function}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-MACRO-EXPANDER}
\index{MAKE-MACRO-EXPANDER}
--- Function: \textbf{make-macro-expander} [\textbf{system}] \textit{definition}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-SINGLE-FLOAT}
\index{MAKE-SINGLE-FLOAT}
--- Function: \textbf{make-single-float} [\textbf{system}] \textit{bits}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-STRUCTURE}
\index{MAKE-STRUCTURE}
--- Function: \textbf{make-structure} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MAKE-SYMBOL-MACRO}
\index{MAKE-SYMBOL-MACRO}
--- Function: \textbf{make-symbol-macro} [\textbf{system}] \textit{expansion}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:MATCH-WILD-JAR-PATHNAME}
\index{MATCH-WILD-JAR-PATHNAME}
--- Function: \textbf{match-wild-jar-pathname} [\textbf{system}] \textit{wild-jar-pathname}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NAMED-LAMBDA}
\index{NAMED-LAMBDA}
--- Macro: \textbf{named-lambda} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NORMALIZE-TYPE}
\index{NORMALIZE-TYPE}
--- Function: \textbf{normalize-type} [\textbf{system}] \textit{type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NOTE-NAME-DEFINED}
\index{NOTE-NAME-DEFINED}
--- Function: \textbf{note-name-defined} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:NOTINLINE-P}
\index{NOTINLINE-P}
--- Function: \textbf{notinline-p} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:OUT-SYNONYM-OF}
\index{OUT-SYNONYM-OF}
--- Function: \textbf{out-synonym-of} [\textbf{system}] \textit{stream-designator}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:OUTPUT-OBJECT}
\index{OUTPUT-OBJECT}
--- Function: \textbf{output-object} [\textbf{system}] \textit{object stream}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PACKAGE-EXTERNAL-SYMBOLS}
\index{PACKAGE-EXTERNAL-SYMBOLS}
--- Function: \textbf{package-external-symbols} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PACKAGE-INHERITED-SYMBOLS}
\index{PACKAGE-INHERITED-SYMBOLS}
--- Function: \textbf{package-inherited-symbols} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PACKAGE-INTERNAL-SYMBOLS}
\index{PACKAGE-INTERNAL-SYMBOLS}
--- Function: \textbf{package-internal-symbols} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PACKAGE-SYMBOLS}
\index{PACKAGE-SYMBOLS}
--- Function: \textbf{package-symbols} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PARSE-BODY}
\index{PARSE-BODY}
--- Function: \textbf{parse-body} [\textbf{system}] \textit{body \&optional (doc-string-allowed t)}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{EXTENSIONS:PRECOMPILE}
\index{PRECOMPILE}
--- Function: \textbf{precompile} [\textbf{extensions}] \textit{name \&optional definition}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-ALIVE-P}
\index{PROCESS-ALIVE-P}
--- Function: \textbf{process-alive-p} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-ERROR}
\index{PROCESS-ERROR}
--- Function: \textbf{process-error} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-EXIT-CODE}
\index{PROCESS-EXIT-CODE}
--- Function: \textbf{process-exit-code} [\textbf{system}] \textit{instance}

\begin{adjustwidth}{5em}{5em}
The exit code of a process.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-INPUT}
\index{PROCESS-INPUT}
--- Function: \textbf{process-input} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-KILL}
\index{PROCESS-KILL}
--- Function: \textbf{process-kill} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
Kills the process.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-OPTIMIZATION-DECLARATIONS}
\index{PROCESS-OPTIMIZATION-DECLARATIONS}
--- Function: \textbf{process-optimization-declarations} [\textbf{system}] \textit{forms}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-OUTPUT}
\index{PROCESS-OUTPUT}
--- Function: \textbf{process-output} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-P}
\index{PROCESS-P}
--- Function: \textbf{process-p} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-PID}
\index{PROCESS-PID}
--- Function: \textbf{process-pid} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
Return the process ID.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCESS-WAIT}
\index{PROCESS-WAIT}
--- Function: \textbf{process-wait} [\textbf{system}] \textit{process}

\begin{adjustwidth}{5em}{5em}
Wait for process to quit running for some reason.
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCLAIMED-FTYPE}
\index{PROCLAIMED-FTYPE}
--- Function: \textbf{proclaimed-ftype} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PROCLAIMED-TYPE}
\index{PROCLAIMED-TYPE}
--- Function: \textbf{proclaimed-type} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PSXHASH}
\index{PSXHASH}
--- Function: \textbf{psxhash} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PUT}
\index{PUT}
--- Function: \textbf{put} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:PUTHASH}
\index{PUTHASH}
--- Function: \textbf{puthash} [\textbf{system}] \textit{key hash-table new-value \&optional default}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:READ-8-BITS}
\index{READ-8-BITS}
--- Function: \textbf{read-8-bits} [\textbf{system}] \textit{stream \&optional eof-error-p eof-value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:READ-VECTOR-UNSIGNED-BYTE-8}
\index{READ-VECTOR-UNSIGNED-BYTE-8}
--- Function: \textbf{read-vector-unsigned-byte-8} [\textbf{system}] \textit{vector stream start end}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:RECORD-SOURCE-INFORMATION}
\index{RECORD-SOURCE-INFORMATION}
--- Function: \textbf{record-source-information} [\textbf{system}] \textit{name \&optional source-pathname source-position}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:RECORD-SOURCE-INFORMATION-FOR-TYPE}
\index{RECORD-SOURCE-INFORMATION-FOR-TYPE}
--- Function: \textbf{record-source-information-for-type} [\textbf{system}] \textit{name type \&optional source-pathname source-position}

\begin{adjustwidth}{5em}{5em}
Record source information on the SYS:SOURCE property for symbol with NAME

TYPE is either a symbol or list.

Source information for functions, methods, and generic functions are
represented as lists of the following form:

    (:generic-function function-name)
    (:function function-name)
    (:method method-name qualifiers specializers)

Where FUNCTION-NAME or METHOD-NAME can be a either be of the form
'symbol or '(setf symbol).

Source information for all other forms have a symbol for TYPE which is
one of the following:

:class, :variable, :condition, :constant, :compiler-macro, :macro
:package, :structure, :type, :setf-expander, :source-transform

These values follow SBCL'S implemenation in SLIME
c.f. <https://github.com/slime/slime/blob/bad2acf672c33b913aabc1a7facb9c3c16a4afe9/swank/sbcl.lisp\#L748>


\end{adjustwidth}

\paragraph{}
\label{SYSTEM:REMEMBER}
\index{REMEMBER}
--- Function: \textbf{remember} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:REMOVE-ZIP-CACHE-ENTRY}
\index{REMOVE-ZIP-CACHE-ENTRY}
--- Function: \textbf{remove-zip-cache-entry} [\textbf{system}] \textit{pathname}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:REQUIRE-TYPE}
\index{REQUIRE-TYPE}
--- Function: \textbf{require-type} [\textbf{system}] \textit{arg type}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:RUN-PROGRAM}
\index{RUN-PROGRAM}
--- Function: \textbf{run-program} [\textbf{system}] \textit{program args \&key environment (wait t) clear-environment (input stream) (output stream) (error stream) if-input-does-not-exist (if-output-exists error) (if-error-exists error) directory}

\begin{adjustwidth}{5em}{5em}
Run PROGRAM with ARGS in with ENVIRONMENT variables.

Possibly WAIT for subprocess to exit.

Optionally CLEAR-ENVIRONMENT of the subprocess of any non specified values.

Creates a new process running the the PROGRAM.

ARGS are a list of strings to be passed to the program as arguments.

For no arguments, use nil which means that just the name of the
program is passed as arg 0.

Returns a process structure containing the JAVA-OBJECT wrapped Process
object, and the PROCESS-INPUT, PROCESS-OUTPUT, and PROCESS-ERROR streams.

c.f. http://download.oracle.com/javase/6/docs/api/java/lang/Process.html

Notes about Unix environments (as in the :environment):

    * The ABCL implementation of run-program, like SBCL, Perl and many
      other programs, copies the Unix environment by default.

    * Running Unix programs from a setuid process, or in any other
      situation where the Unix environment is under the control of
      someone else, is a mother lode of security problems. If you are
      contemplating doing this, read about it first. (The Perl
      community has a lot of good documentation about this and other
      security issues in script-like programs.

The \&key arguments have the following meanings:

:environment
    An alist of STRINGs (name . value) describing new
    environment values that replace existing ones.

:clear-environment
    If non-NIL, the current environment is cleared before the
    values supplied by :environment are inserted.

:wait
    If non-NIL, which is the default, wait until the created process
    finishes. If NIL, continue running Lisp until the program
    finishes.

:input
    If T, I/O is inherited from the Java process. If NIL, /dev/null is used
    (nul on Windows). If a PATHNAME designator other than a stream is
    supplied, input will be read from that file. If set to :STREAM, a stream
    will be available via PROCESS-INPUT to read from. Defaults to :STREAM.

:if-input-does-not-exist
    If :input points to a non-existing file, this may be set to :ERROR in
    order to signal an error, :CREATE to create and read from an empty file,
    or NIL to immediately NIL instead of creating the process.
    Defaults to NIL.

:output
    If T, I/O is inherited from the Java process. If NIL, /dev/null is used
    (nul on Windows). If a PATHNAME designator other than a stream is
    supplied, output will be redirect to that file. If set to :STREAM, a
    stream will be available via PROCESS-OUTPUT to write to.
    Defaults to :STREAM.

:if-output-exists
    If :output points to a non-existing file, this may be set to :ERROR in
    order to signal an error, :SUPERSEDE to supersede the existing file,
    :APPEND to append to it instead, or NIL to immediately NIL instead of
    creating the process. Defaults to :ERROR.

:error
    Same as :output, but can also be :output, in which case the error stream
    is redirected to wherever the standard output stream goes.
    Defaults to :STREAM.

:if-error-exists
    Same as :if-output-exists, but for the :error target.

:directory
    If set will become the working directory for the new process, otherwise
    the working directory will be unchanged from the current Java process.
    Defaults to NIL.

\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CALL-COUNT}
\index{SET-CALL-COUNT}
--- Function: \textbf{set-call-count} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CAR}
\index{SET-CAR}
--- Function: \textbf{set-car} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CDR}
\index{SET-CDR}
--- Function: \textbf{set-cdr} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-CHAR}
\index{SET-CHAR}
--- Function: \textbf{set-char} [\textbf{system}] \textit{string index character}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-FUNCTION-INFO-VALUE}
\index{SET-FUNCTION-INFO-VALUE}
--- Function: \textbf{set-function-info-value} [\textbf{system}] \textit{name indicator value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-HOT-COUNT}
\index{SET-HOT-COUNT}
--- Function: \textbf{set-hot-count} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-SCHAR}
\index{SET-SCHAR}
--- Function: \textbf{set-schar} [\textbf{system}] \textit{string index character}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SET-STD-SLOT-VALUE}
\index{SET-STD-SLOT-VALUE}
--- Function: \textbf{set-std-slot-value} [\textbf{system}] \textit{instance slot-name new-value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SETF-FUNCTION-NAME-P}
\index{SETF-FUNCTION-NAME-P}
--- Function: \textbf{setf-function-name-p} [\textbf{system}] \textit{thing}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SHA256}
\index{SHA256}
--- Function: \textbf{sha256} [\textbf{system}] \textit{\&rest paths-or-strings}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SHRINK-VECTOR}
\index{SHRINK-VECTOR}
--- Function: \textbf{shrink-vector} [\textbf{system}] \textit{vector new-size}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SIMPLE-FORMAT}
\index{SIMPLE-FORMAT}
--- Function: \textbf{simple-format} [\textbf{system}] \textit{destination control-string \&rest format-arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SIMPLE-SEARCH}
\index{SIMPLE-SEARCH}
--- Function: \textbf{simple-search} [\textbf{system}] \textit{sequence1 sequence2}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SIMPLE-TYPEP}
\index{SIMPLE-TYPEP}
--- Function: \textbf{simple-typep} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SINGLE-FLOAT-BITS}
\index{SINGLE-FLOAT-BITS}
--- Function: \textbf{single-float-bits} [\textbf{system}] \textit{float}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SLOT-DEFINITION}
\index{SLOT-DEFINITION}
--- Class: \textbf{slot-definition} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SOURCE-TRANSFORM}
\index{SOURCE-TRANSFORM}
--- Function: \textbf{source-transform} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STANDARD-INSTANCE-ACCESS}
\index{STANDARD-INSTANCE-ACCESS}
--- Function: \textbf{standard-instance-access} [\textbf{system}] \textit{instance location}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STANDARD-OBJECT-P}
\index{STANDARD-OBJECT-P}
--- Function: \textbf{standard-object-p} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STD-INSTANCE-CLASS}
\index{STD-INSTANCE-CLASS}
--- Function: \textbf{std-instance-class} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STD-INSTANCE-LAYOUT}
\index{STD-INSTANCE-LAYOUT}
--- Function: \textbf{std-instance-layout} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STD-SLOT-BOUNDP}
\index{STD-SLOT-BOUNDP}
--- Function: \textbf{std-slot-boundp} [\textbf{system}] \textit{instance slot-name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STD-SLOT-VALUE}
\index{STD-SLOT-VALUE}
--- Function: \textbf{std-slot-value} [\textbf{system}] \textit{instance slot-name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRUCTURE-LENGTH}
\index{STRUCTURE-LENGTH}
--- Function: \textbf{structure-length} [\textbf{system}] \textit{instance}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRUCTURE-OBJECT-P}
\index{STRUCTURE-OBJECT-P}
--- Function: \textbf{structure-object-p} [\textbf{system}] \textit{object}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRUCTURE-REF}
\index{STRUCTURE-REF}
--- Function: \textbf{structure-ref} [\textbf{system}] \textit{instance index}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:STRUCTURE-SET}
\index{STRUCTURE-SET}
--- Function: \textbf{structure-set} [\textbf{system}] \textit{instance index new-value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SUBCLASSP}
\index{SUBCLASSP}
--- Function: \textbf{subclassp} [\textbf{system}] \textit{class}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SVSET}
\index{SVSET}
--- Function: \textbf{svset} [\textbf{system}] \textit{simple-vector index new-value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SWAP-SLOTS}
\index{SWAP-SLOTS}
--- Function: \textbf{swap-slots} [\textbf{system}] \textit{instance-1 instance-2}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SYMBOL-MACRO-P}
\index{SYMBOL-MACRO-P}
--- Function: \textbf{symbol-macro-p} [\textbf{system}] \textit{value}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:SYSTEM-ARTIFACTS-ARE-JARS-P}
\index{SYSTEM-ARTIFACTS-ARE-JARS-P}
--- Function: \textbf{system-artifacts-are-jars-p} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:UNDEFINED-FUNCTION-CALLED}
\index{UNDEFINED-FUNCTION-CALLED}
--- Function: \textbf{undefined-function-called} [\textbf{system}] \textit{name arguments}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:UNTRACED-FUNCTION}
\index{UNTRACED-FUNCTION}
--- Function: \textbf{untraced-function} [\textbf{system}] \textit{name}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:UNZIP}
\index{UNZIP}
--- Function: \textbf{unzip} [\textbf{system}] \textit{pathname \&optional directory => unzipped\_pathnames}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:URL-STREAM}
\index{URL-STREAM}
--- Class: \textbf{url-stream} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:VECTOR-DELETE-EQ}
\index{VECTOR-DELETE-EQ}
--- Function: \textbf{vector-delete-eq} [\textbf{system}] \textit{item vector}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:VECTOR-DELETE-EQL}
\index{VECTOR-DELETE-EQL}
--- Function: \textbf{vector-delete-eql} [\textbf{system}] \textit{item vector}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:WHITESPACEP}
\index{WHITESPACEP}
--- Function: \textbf{whitespacep} [\textbf{system}] \textit{}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:WRITE-8-BITS}
\index{WRITE-8-BITS}
--- Function: \textbf{write-8-bits} [\textbf{system}] \textit{byte stream}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:WRITE-VECTOR-UNSIGNED-BYTE-8}
\index{WRITE-VECTOR-UNSIGNED-BYTE-8}
--- Function: \textbf{write-vector-unsigned-byte-8} [\textbf{system}] \textit{vector stream start end}

\begin{adjustwidth}{5em}{5em}
not-documented
\end{adjustwidth}

\paragraph{}
\label{SYSTEM:ZIP}
\index{ZIP}
--- Function: \textbf{zip} [\textbf{system}] \textit{pathname pathnames \&optional topdir}

\begin{adjustwidth}{5em}{5em}
Creates a zip archive at PATHNAME whose entries enumerated via the list of PATHNAMES.
If the optional TOPDIR argument is specified, the archive will preserve the hierarchy of PATHNAMES relative to TOPDIR.  Without TOPDIR, there will be no sub-directories in the archive, i.e. it will be flat.
\end{adjustwidth}

